# This file contains global constants used by all files

# Set verbose to 0, 1, 2 to set the quantity of informations in the output.

verbose = 1

# Set verified_with_hikmot = TRUE if you want the program to use the hikmot algorithm

verify_with_hikmot = True

# Number of times the program hikmot ensured the hyperbolicity.

number_of_hikmot = 0

# Number of times the program tries to randomize a triangulation to look for
# a geometric solution. Set to zero if you want a rigorous non-random proof.

number_of_randomizes = 0

# If try_fillings == True the routine 'try_to_hyperbolize' tries to fill permanently some cusps.
# Filling permanently often give better solutions. Typically set to True.

try_permanent_fillings = True

# The function positive_solution() returns True only if every tetrahedron shape
# has the imaginary part bigger than the constant 'min_imaginary'.
# We usually set it to 0.001

min_imaginary = 0.001

# We have re-written the Snappea functions that calculate the cusp shape and area (of a maximal section)
# in order to control numerical errors. With the following flags we can ask the program to use
# either Snappy's functions or ours. At least one flag need to be 'True'. 
# 1. If both flags are 'True', the program uses our functions but evaluate both, and prints 
#		the discrepancy between their results. This can be used as a sanity check for our functions. 
# 2. The proof is rigorous if 'use_our_functions' is True, regardless of 'use_SnapPea_functions'.

use_our_functions = True
use_SnapPea_functions = False

# Quotient the resulting candidate exceptional fillings by the action of the isometry group of N

quotient_by_isometries = False

