# We store in the list 'exclude' 
# some fillings which will be excluded from the analysis. 
# Typically, we may put in this list:
##  the exceptional fillings (this has almost no effect, since these are quickly
##       detected by our algorithm)
##  the hyperbolic fillings that yield manifolds whose exceptional fillings
##       have been already classified previously (this helps a lot to speed up)

# The lists that were used to classify the exceptional fillings of chain5
# are listed below.


# Exclude the Whitehead link from the magic manifold:

# exclude = [[(-1,1), (0,0), (0,0)], [(0,0), (-1,1), (0,0)], [(0,0), (0,0), (-1,1)]]

# Exclude magic from chain4:

# exclude = [
# [(-1,1), (0,0), (0,0), (0,0)], [(3,2), (0,0), (0,0), (0,0)], 
# [(3,1), (0,0), (0,0), (0,0)], [(1,2), (0,0), (0,0), (0,0)],
# [(0,0), (0,0), (0,0), (-1,1)], [(0,0), (0,0), (0,0), (3,2)], 
# [(0,0), (0,0), (0,0), (3,1)], [(0,0), (0,0), (0,0), (1,2)],
# [(0,0), (-1,1), (0,0), (0,0)], [(0,0), (3,2), (0,0), (0,0)], 
# [(0,0), (3,1), (0,0), (0,0)], [(0,0), (1,2), (0,0), (0,0)],
# [(0,0), (0,0), (-1,1), (0,0)], [(0,0), (0,0), (3,2), (0,0)], 
# [(0,0), (0,0), (3,1), (0,0)], [(0,0), (0,0), (1,2), (0,0)]
# ]

# Exclude chain4 from chain5 filled with -2 (or with any other slope): 

# exclude = [
# [(-1,1), (0,0), (0,0), (0,0)], [(2,1), (0,0), (0,0), (0,0)], 
# [(1,2), (0,0), (0,0), (0,0)], [(0,0), (-1,1), (0,0), (0,0)], 
# [(0,0), (2,1), (0,0), (0,0)], [(0,0), (1,2), (0,0), (0,0)], 
# [(0,0), (0,0), (-1,1), (0,0)], [(0,0), (0,0), (2,1), (0,0)], 
# [(0,0), (0,0), (1,2), (0,0)], [(0,0), (0,0), (0,0), (-1,1)], 
# [(0,0), (0,0), (0,0), (2,1)], [(0,0), (0,0), (0,0), (1,2)]
# ]

# Empty (default) list:

exclude = []
